Board index FlightGear Support Tools FGRun

Flightgear development version issues

FGRun is a graphical frontend to run FlightGear.

Flightgear development version issues

Postby turntactik » Mon Jun 07, 2010 6:08 pm

Can anyone tell me what this means? By the way, I'm a newbie..

Image

Uploaded with ImageShack.us


I tried to run FG from the command prompt and used this thread (edited to my prefs and comp) to run fg:

(re-edit) I got this from a web site and used its format.. C:\Program Files\FlightGear\bin\win32\fgfs.exe --fg-root=C:\Program Files\FlightGear\data fg-scenery=C:\Program Files\FlightGear\data\Scenery --airport=KSFO --aircraft=c172p

After I looked closer at the thread, I noticed there were no hyphens before fg scenery, and corrected it only to get the same error.

(added after the original post) The command i used was:

fgrun.exe --fg-root=c:\flightgear\data --fg-scenery=c:\flightgear\data\scenery -airport=ksfo -aircraft=f-14b

(favorite aircraft velocity-xl)
Last edited by turntactik on Mon Jun 07, 2010 7:23 pm, edited 3 times in total.
turntactik
 
Posts: 14
Joined: Thu Mar 04, 2010 7:49 pm

Re: Flightgear development version issues

Postby snipey » Mon Jun 07, 2010 6:50 pm

in you post you don't have -- in front of fg-scenery
that might be it
User avatar
snipey
 
Posts: 220
Joined: Wed Feb 17, 2010 3:05 pm
Location: Netherlands
Callsign: snipey
Version: GIT
OS: Ubuntu 11.04, Vista

Re: Flightgear development version issues

Postby turntactik » Mon Jun 07, 2010 6:53 pm

I noticed that too, but no fix maybe I should have used the -- symbols instead of typing the word hyphens.. :D
turntactik
 
Posts: 14
Joined: Thu Mar 04, 2010 7:49 pm

Re: Flightgear development version issues

Postby Gijs » Mon Jun 07, 2010 6:56 pm

It might have something to do with the fact that you have installed FG in a directory that includes a space. Try placing quotes " around the paths.
Airports: EHAM, EHLE, KSFO
Aircraft: 747-400
User avatar
Gijs
Moderator
 
Posts: 9362
Joined: Tue Jul 03, 2007 2:55 pm
Location: Amsterdam/Delft, the Netherlands
Callsign: PH-GYS
Version: Git
OS: Windows 10

Re: Flightgear development version issues

Postby turntactik » Mon Jun 07, 2010 7:04 pm

Actually the command i used was:

fgrun.exe --fg-root=c:\flightgear\data --fg-scenery=c:\flightgear\data\scenery -airport=ksfo -aircraft=f-14b

no spaces, and its a development version so something could be out of date.. I found some clones on git, am going to install them and see what happens. Also, this has effected my 1.9.1 the same way (1.9.1 lives in my program files dir, so two separate fg's one the same drive). Have already uninstalled 1.9.1, will make changes and post.
turntactik
 
Posts: 14
Joined: Thu Mar 04, 2010 7:49 pm

Re: Flightgear development version issues

Postby turntactik » Mon Jun 07, 2010 9:38 pm

I reinstalled 1.9.1 and it worked fine, tried to run my build version and this is what I got:

Image

I realize my data and binaries need to have the same date, so I have been looking in gitorious for them, but WHICH files do I need to get? I cloned the master fg data tarball (tho my computer isnt downloading the complete file for some reason..) and I figured that the master flightgear repository file is the other I need.. 2.3 mb tar
-Is this Correct?

I have installed fgrun+fgfs-osg-win32-git-20100529 as a zip (cvs not working ; git not pulling)
and a FlightGear-2.0.0.tar

Since re-installing 1.9 changed my result for running my build, Im guessing there must be a path referring to c:\program files\flightgear\data ..

How many different ways can I set up paths for flightgear directories (without getting too deep)
So far I have:
1. command prompt
2. fgrun (wizard)
3. git bash (?) still learning this

And is there a way to check all these via command prompt?
turntactik
 
Posts: 14
Joined: Thu Mar 04, 2010 7:49 pm

Re: Flightgear development version issues

Postby stuart » Tue Jun 08, 2010 12:51 pm

The command-line you've shown doesn't have '=' in the right place. It should be

Code: Select all
fgfs.exe --fg-root=c:\flightgear\data --fg-scenery=c:\flightgear\data\scenery


That should solve your problem.

-Stuart
G-MWLX
User avatar
stuart
Moderator
 
Posts: 1469
Joined: Wed Nov 29, 2006 9:56 am
Location: Edinburgh
Callsign: G-MWLX

Re: Flightgear development version issues

Postby turntactik » Wed Jun 09, 2010 4:38 am

Obviously my original error was a simple syntax mistake..

O.k. now the problem, after correcting my input i came up with this:

Firstly, the command prompt shows FG Initializing Liveries, next it loads the 'nimitz scenerio',
Then, it goes crazy with the- Warning: TangentSpaceGenerator ..

Image

I noticed the same voice synth word commands loaded twice.. Anything here to do with common 2.0 crash problems?? Should I start a new thread???
turntactik
 
Posts: 14
Joined: Thu Mar 04, 2010 7:49 pm

Re: Flightgear development version issues

Postby Hooray » Wed Jun 09, 2010 12:54 pm

Is your base package in any way modified? Have you customized your startup settings in any way?
Are you able to start a default FlightGear installation with just the default settings?
Have you tried using a different log level to get additional information?

I reinstalled 1.9.1 and it worked fine, tried to run my build version and this is what I got:

What "build version" are you referring to? Is this a custom built binary?
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11317
Joined: Tue Mar 25, 2008 8:40 am

Re: Flightgear development version issues

Postby Jester » Wed Jun 09, 2010 2:17 pm

turntactik wrote:Then, it goes crazy with the- Warning: TangentSpaceGenerator ..
I noticed the same voice synth word commands loaded twice.. Anything here to do with common 2.0 crash problems??


No, those are harmless.
Recently on IRC we fixed a machine by deleting the openal32.dll from the FG folder and installing openal from the creative website. You could try --disable-sound to see if your problem is sound related, and if so, do the replacement.
Jester
 
Posts: 1200
Joined: Wed Feb 28, 2007 3:53 pm
Location: Hungary
Callsign: BA996,Rescue1
IRC name: Jester01
Version: GIT
OS: Debian Linux

Re: Flightgear development version issues

Postby turntactik » Wed Jun 09, 2010 3:39 pm

No custom binaries as far as I know, I haven't modified any of my information in any way, and I've tried to keep my downloads basic and current. I found my al folder wasnt extracted properly, so I extracted it, ran fgfs, and the error disappeared.

I'm running my "built" version from 2.0 data, and with increasing my log level this was what I got:

The information that I reviewed looked good, the tiles loaded properly, traffic manager ran its course, and primitive errors still occured, but FG crashes when GPS switches to OBS mode..

Image
turntactik
 
Posts: 14
Joined: Thu Mar 04, 2010 7:49 pm


Return to FGRun

Who is online

Users browsing this forum: No registered users and 1 guest